Workspace · Usage
Returns the SMS usage (volumes).
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the billing resource group disabled get 403 resource_group_disabled. Authentication
Query parameters
| Name | Type | Notes |
|---|---|---|
since | string (date-time) | |
until | string (date-time) | |
number | string | |
groupBy | string | One of day, number |
Example
curl -X GET "https://api.pozy.ai/v1/usage/sms" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/usage/sms", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/usage/sms",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
sincestring (date-time)untilstring (date-time)groupBystringOne of
day,number. Can be null.totalsobjectsentintegerreceivedintegertotalinteger
groupsarray of objectkeystringsentintegerreceivedintegertotalinteger
200 response
{
"since": "2026-10-02T09:00:00.000Z",
"until": "2026-10-02T09:00:00.000Z",
"groupBy": "day",
"totals": {
"sent": 1,
"received": 1,
"total": 42
},
"groups": [
{
"key": "string",
"sent": 1,
"received": 1,
"total": 42
}
]
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.